Bug 1199777 - TKimg can't load png files
Summary: TKimg can't load png files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tkimg
Version: 21
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-08 08:24 UTC by Simon Dible
Modified: 2015-03-29 04:47 UTC (History)
1 user (show)

Fixed In Version: tkimg-1.4-20.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-18 10:24:36 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Simon Dible 2015-03-08 08:24:27 UTC
Description of problem:
When trying to make mcu8051ide work on Fedora 21, I discovered that the tkimg library was unable to load png files, preventing that application to work. This is simple to reproduce in a 3 line script. This is probably a knock on effect from Bug 1156113.


Version-Release number of selected component (if applicable):
tkimg-1.4-19.fc21.i686


How reproducible:
tclsh 
% package require img::png
 1.4 
% image create photo -file A_PNG_FILE.png
 invalid after png_start_read_image or png_read_update_info

Steps to Reproduce:
1. Run the commands above in the tclsh command line with a pngg file as the last argument.


Actual results:
 invalid after png_start_read_image or png_read_update_info


Expected results:
Image created

Additional info:
The thread where this was worked around is here, with the back story.
https://ask.fedoraproject.org/en/answers/65003/edit/

Bug 1199776 - has been raised to fix mcu8051ide requiring the wrong tclsh.

Comment 1 Tom "spot" Callaway 2015-03-10 14:45:19 UTC
Good catch. I'm pretty sure this is fixed now, please check it though with mcu805lide.

Comment 2 Fedora Update System 2015-03-10 15:06:14 UTC
tkimg-1.4-20.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/tkimg-1.4-20.fc22

Comment 3 Fedora Update System 2015-03-10 15:07:22 UTC
tkimg-1.4-20.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/tkimg-1.4-20.fc21

Comment 4 Simon Dible 2015-03-10 19:41:34 UTC
Tested the version for F21 from the testing build on i386 - It works, thanks for the quick response.

Comment 5 Fedora Update System 2015-03-13 17:11:54 UTC
Package tkimg-1.4-20.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tkimg-1.4-20.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-3692/tkimg-1.4-20.fc22
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-03-18 10:24:36 UTC
tkimg-1.4-20.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-03-29 04:47:01 UTC
tkimg-1.4-20.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.